Changeset 2985 for ThirdParty/SCIP


Ignore:
Timestamp:
Oct 15, 2013 5:06:12 PM (6 years ago)
Author:
stefan
Message:

revert r2394:HEAD - releases are not to be modified

Location:
ThirdParty/SCIP
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/SCIP/releases/1.2.1/configure

    r2983 r2985  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-scip compile project SCIP with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --enable-static[=PKGS]
    10871090                          build static libraries [default=no]
     
    19151918
    19161919# Get the name of the C compiler and appropriate compiler options
    1917 
    1918 
    1919   # for backward compatibility
    1920   # Check whether --enable-doscompile or --disable-doscompile was given.
    1921 if test "${enable_doscompile+set}" = set; then
    1922   enableval="$enable_doscompile"
    1923   enable_doscompile=$enableval
    1924 else
    1925   enable_doscompile=no
    1926 fi;
    1927 
    1928   # Check whether --enable-msvc or --disable-msvc was given.
    1929 if test "${enable_msvc+set}" = set; then
    1930   enableval="$enable_msvc"
    1931   enable_msvc=$enableval
    1932 else
    1933   enable_msvc=no
    1934      if test "$enable_doscompile" = msvc ; then
    1935        enable_msvc=yes
    1936      elif test "$enable_doscompile" != no ; then
    1937        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1938 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1939    { (exit 1); exit 1; }; }
    1940      fi
    1941 
    1942 fi;
    1943 
    1944   if test "$enable_msvc" = yes; then
    1945     case $build in
    1946       *-cygwin* | *-mingw*) ;;
    1947       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1948 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1949    { (exit 1); exit 1; }; } ;;
    1950     esac
    1951   fi
    1952 
    1953 
    1954  case $build in
     1920case $build in
    19551921  *-mingw*)
    19561922    if test "${LD+set}" = set; then :; else
     
    19591925    ;;
    19601926 esac
    1961  if test $enable_msvc = yes ; then
    1962    if test "x${LD+set}" = xset; then :; else
    1963      LD=link
     1927 case $enable_doscompile in
     1928   msvc)
     1929     if test "x${LD+set}" = xset; then :; else
     1930       LD=link
     1931     fi
     1932     ;;
     1933 esac
     1934
     1935
     1936 # Check whether --enable-doscompile or --disable-doscompile was given.
     1937if test "${enable_doscompile+set}" = set; then
     1938  enableval="$enable_doscompile"
     1939  if test "$enable_doscompile" != no; then
     1940     case $build in
     1941       *-cygwin* | *-mingw*) ;;
     1942       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1943echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1944   { (exit 1); exit 1; }; } ;;
     1945     esac
    19641946   fi
    1965  fi
     1947else
     1948  enable_doscompile=no
     1949fi;
     1950 case "$enable_doscompile" in
     1951   mingw)
     1952     case $build in
     1953       *-mingw*) enable_doscompile=no ;;
     1954     esac
     1955     ;;
     1956   msvc|no) ;;
     1957   yes) enable_doscompile=mingw ;;
     1958   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1959                    Try configure --help=recursive." >&5
     1960echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1961                    Try configure --help=recursive." >&2;}
     1962   { (exit 1); exit 1; }; }
     1963      ;;
     1964  esac
     1965  if test "$enable_doscompile" != no ; then
     1966    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1967echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1968  fi
    19661969
    19671970
     
    20062009case $build in
    20072010  *-cygwin* | *-mingw*)
    2008              if test "$enable_msvc" = yes ; then
    2009                comps="icl cl gcc"
     2011             if test "$enable_doscompile" = msvc ; then
     2012               comps="icl cl"
    20102013             else
    2011                comps="gcc icl cl"
     2014               comps="gcc cl"
    20122015             fi ;;
    20132016  *-*-solaris*)
     
    28622865            ;;
    28632866        esac
     2867        case $enable_doscompile in
     2868          mingw)
     2869            CFLAGS="-mno-cygwin"
     2870            cat >conftest.$ac_ext <<_ACEOF
     2871/* confdefs.h.  */
     2872_ACEOF
     2873cat confdefs.h >>conftest.$ac_ext
     2874cat >>conftest.$ac_ext <<_ACEOF
     2875/* end confdefs.h.  */
     2876
     2877int
     2878main ()
     2879{
     2880int i=0; i++;
     2881  ;
     2882  return 0;
     2883}
     2884_ACEOF
     2885rm -f conftest.$ac_objext conftest$ac_exeext
     2886if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2887  (eval $ac_link) 2>conftest.er1
     2888  ac_status=$?
     2889  grep -v '^ *+' conftest.er1 >conftest.err
     2890  rm -f conftest.er1
     2891  cat conftest.err >&5
     2892  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2893  (exit $ac_status); } &&
     2894         { ac_try='test -z "$ac_c_werror_flag"
     2895                         || test ! -s conftest.err'
     2896  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2897  (eval $ac_try) 2>&5
     2898  ac_status=$?
     2899  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2900  (exit $ac_status); }; } &&
     2901         { ac_try='test -s conftest$ac_exeext'
     2902  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2903  (eval $ac_try) 2>&5
     2904  ac_status=$?
     2905  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2906  (exit $ac_status); }; }; then
     2907  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2908else
     2909  echo "$as_me: failed program was:" >&5
     2910sed 's/^/| /' conftest.$ac_ext >&5
     2911
     2912fi
     2913rm -f conftest.err conftest.$ac_objext \
     2914      conftest$ac_exeext conftest.$ac_ext
     2915            CFLAGS=
     2916          ;;
     2917        esac
    28642918    esac
    28652919  fi
     
    32023256  clang* ) ;;
    32033257  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3204 
    3205  case $build in
     3258    case $build in
    32063259  *-mingw*)
    32073260    if test "${LD+set}" = set; then :; else
     
    32103263    ;;
    32113264 esac
    3212  if test $enable_msvc = yes ; then
    3213    if test "x${LD+set}" = xset; then :; else
    3214      LD=link
    3215    fi
    3216  fi
     3265 case $enable_doscompile in
     3266   msvc)
     3267     if test "x${LD+set}" = xset; then :; else
     3268       LD=link
     3269     fi
     3270     ;;
     3271 esac
    32173272
    32183273    ;;
     
    32493304case $build in
    32503305  *-cygwin* | *-mingw*)
    3251       if test "$enable_msvc" = yes ; then
    3252          comps="icl cl g++"
    3253       else
    3254          comps="g++ icl cl"
    3255       fi ;;
     3306             if test "$enable_doscompile" = msvc ; then
     3307               comps="icl cl"
     3308             else
     3309               comps="g++ cl"
     3310             fi ;;
    32563311  *-*-solaris*)
    32573312             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    37613816            ;;
    37623817        esac
     3818
     3819        case $enable_doscompile in
     3820          mingw)
     3821            CXXFLAGS="-mno-cygwin"
     3822            cat >conftest.$ac_ext <<_ACEOF
     3823/* confdefs.h.  */
     3824_ACEOF
     3825cat confdefs.h >>conftest.$ac_ext
     3826cat >>conftest.$ac_ext <<_ACEOF
     3827/* end confdefs.h.  */
     3828
     3829int
     3830main ()
     3831{
     3832int i=0; i++;
     3833  ;
     3834  return 0;
     3835}
     3836_ACEOF
     3837rm -f conftest.$ac_objext conftest$ac_exeext
     3838if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3839  (eval $ac_link) 2>conftest.er1
     3840  ac_status=$?
     3841  grep -v '^ *+' conftest.er1 >conftest.err
     3842  rm -f conftest.er1
     3843  cat conftest.err >&5
     3844  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3845  (exit $ac_status); } &&
     3846         { ac_try='test -z "$ac_cxx_werror_flag"
     3847                         || test ! -s conftest.err'
     3848  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3849  (eval $ac_try) 2>&5
     3850  ac_status=$?
     3851  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3852  (exit $ac_status); }; } &&
     3853         { ac_try='test -s conftest$ac_exeext'
     3854  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3855  (eval $ac_try) 2>&5
     3856  ac_status=$?
     3857  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3858  (exit $ac_status); }; }; then
     3859  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     3860else
     3861  echo "$as_me: failed program was:" >&5
     3862sed 's/^/| /' conftest.$ac_ext >&5
     3863
     3864fi
     3865rm -f conftest.err conftest.$ac_objext \
     3866      conftest$ac_exeext conftest.$ac_ext
     3867            CXXFLAGS=
     3868          ;;
     3869        esac
    37633870    esac
    37643871  fi
     
    41124219  clang* ) ;;
    41134220  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4114 
    4115  case $build in
     4221    case $build in
    41164222  *-mingw*)
    41174223    if test "${LD+set}" = set; then :; else
     
    41204226    ;;
    41214227 esac
    4122  if test $enable_msvc = yes ; then
    4123    if test "x${LD+set}" = xset; then :; else
    4124      LD=link
    4125    fi
    4126  fi
     4228 case $enable_doscompile in
     4229   msvc)
     4230     if test "x${LD+set}" = xset; then :; else
     4231       LD=link
     4232     fi
     4233     ;;
     4234 esac
    41274235
    41284236    ;;
     
    58976005*-*-irix6*)
    58986006  # Find out which ABI we are using.
    5899   echo '#line 5899 "configure"' > conftest.$ac_ext
     6007  echo '#line 6007 "configure"' > conftest.$ac_ext
    59006008  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    59016009  (eval $ac_compile) 2>&5
     
    70317139
    70327140# Provide some information about the compiler.
    7033 echo "$as_me:7033:" \
     7141echo "$as_me:7141:" \
    70347142     "checking for Fortran 77 compiler version" >&5
    70357143ac_compiler=`set X $ac_compile; echo $2`
     
    80988206   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80998207   -e 's:$: $lt_compiler_flag:'`
    8100    (eval echo "\"\$as_me:8100: $lt_compile\"" >&5)
     8208   (eval echo "\"\$as_me:8208: $lt_compile\"" >&5)
    81018209   (eval "$lt_compile" 2>conftest.err)
    81028210   ac_status=$?
    81038211   cat conftest.err >&5
    8104    echo "$as_me:8104: \$? = $ac_status" >&5
     8212   echo "$as_me:8212: \$? = $ac_status" >&5
    81058213   if (exit $ac_status) && test -s "$ac_outfile"; then
    81068214     # The compiler can only warn and ignore the option if not recognized
     
    83668474   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83678475   -e 's:$: $lt_compiler_flag:'`
    8368    (eval echo "\"\$as_me:8368: $lt_compile\"" >&5)
     8476   (eval echo "\"\$as_me:8476: $lt_compile\"" >&5)
    83698477   (eval "$lt_compile" 2>conftest.err)
    83708478   ac_status=$?
    83718479   cat conftest.err >&5
    8372    echo "$as_me:8372: \$? = $ac_status" >&5
     8480   echo "$as_me:8480: \$? = $ac_status" >&5
    83738481   if (exit $ac_status) && test -s "$ac_outfile"; then
    83748482     # The compiler can only warn and ignore the option if not recognized
     
    84708578   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84718579   -e 's:$: $lt_compiler_flag:'`
    8472    (eval echo "\"\$as_me:8472: $lt_compile\"" >&5)
     8580   (eval echo "\"\$as_me:8580: $lt_compile\"" >&5)
    84738581   (eval "$lt_compile" 2>out/conftest.err)
    84748582   ac_status=$?
    84758583   cat out/conftest.err >&5
    8476    echo "$as_me:8476: \$? = $ac_status" >&5
     8584   echo "$as_me:8584: \$? = $ac_status" >&5
    84778585   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84788586   then
     
    1081510923  lt_status=$lt_dlunknown
    1081610924  cat > conftest.$ac_ext <<EOF
    10817 #line 10817 "configure"
     10925#line 10925 "configure"
    1081810926#include "confdefs.h"
    1081910927
     
    1091511023  lt_status=$lt_dlunknown
    1091611024  cat > conftest.$ac_ext <<EOF
    10917 #line 10917 "configure"
     11025#line 11025 "configure"
    1091811026#include "confdefs.h"
    1091911027
     
    1325913367   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1326013368   -e 's:$: $lt_compiler_flag:'`
    13261    (eval echo "\"\$as_me:13261: $lt_compile\"" >&5)
     13369   (eval echo "\"\$as_me:13369: $lt_compile\"" >&5)
    1326213370   (eval "$lt_compile" 2>conftest.err)
    1326313371   ac_status=$?
    1326413372   cat conftest.err >&5
    13265    echo "$as_me:13265: \$? = $ac_status" >&5
     13373   echo "$as_me:13373: \$? = $ac_status" >&5
    1326613374   if (exit $ac_status) && test -s "$ac_outfile"; then
    1326713375     # The compiler can only warn and ignore the option if not recognized
     
    1336313471   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1336413472   -e 's:$: $lt_compiler_flag:'`
    13365    (eval echo "\"\$as_me:13365: $lt_compile\"" >&5)
     13473   (eval echo "\"\$as_me:13473: $lt_compile\"" >&5)
    1336613474   (eval "$lt_compile" 2>out/conftest.err)
    1336713475   ac_status=$?
    1336813476   cat out/conftest.err >&5
    13369    echo "$as_me:13369: \$? = $ac_status" >&5
     13477   echo "$as_me:13477: \$? = $ac_status" >&5
    1337013478   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1337113479   then
     
    1493315041   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1493415042   -e 's:$: $lt_compiler_flag:'`
    14935    (eval echo "\"\$as_me:14935: $lt_compile\"" >&5)
     15043   (eval echo "\"\$as_me:15043: $lt_compile\"" >&5)
    1493615044   (eval "$lt_compile" 2>conftest.err)
    1493715045   ac_status=$?
    1493815046   cat conftest.err >&5
    14939    echo "$as_me:14939: \$? = $ac_status" >&5
     15047   echo "$as_me:15047: \$? = $ac_status" >&5
    1494015048   if (exit $ac_status) && test -s "$ac_outfile"; then
    1494115049     # The compiler can only warn and ignore the option if not recognized
     
    1503715145   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1503815146   -e 's:$: $lt_compiler_flag:'`
    15039    (eval echo "\"\$as_me:15039: $lt_compile\"" >&5)
     15147   (eval echo "\"\$as_me:15147: $lt_compile\"" >&5)
    1504015148   (eval "$lt_compile" 2>out/conftest.err)
    1504115149   ac_status=$?
    1504215150   cat out/conftest.err >&5
    15043    echo "$as_me:15043: \$? = $ac_status" >&5
     15151   echo "$as_me:15151: \$? = $ac_status" >&5
    1504415152   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1504515153   then
     
    1724417352   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1724517353   -e 's:$: $lt_compiler_flag:'`
    17246    (eval echo "\"\$as_me:17246: $lt_compile\"" >&5)
     17354   (eval echo "\"\$as_me:17354: $lt_compile\"" >&5)
    1724717355   (eval "$lt_compile" 2>conftest.err)
    1724817356   ac_status=$?
    1724917357   cat conftest.err >&5
    17250    echo "$as_me:17250: \$? = $ac_status" >&5
     17358   echo "$as_me:17358: \$? = $ac_status" >&5
    1725117359   if (exit $ac_status) && test -s "$ac_outfile"; then
    1725217360     # The compiler can only warn and ignore the option if not recognized
     
    1751217620   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1751317621   -e 's:$: $lt_compiler_flag:'`
    17514    (eval echo "\"\$as_me:17514: $lt_compile\"" >&5)
     17622   (eval echo "\"\$as_me:17622: $lt_compile\"" >&5)
    1751517623   (eval "$lt_compile" 2>conftest.err)
    1751617624   ac_status=$?
    1751717625   cat conftest.err >&5
    17518    echo "$as_me:17518: \$? = $ac_status" >&5
     17626   echo "$as_me:17626: \$? = $ac_status" >&5
    1751917627   if (exit $ac_status) && test -s "$ac_outfile"; then
    1752017628     # The compiler can only warn and ignore the option if not recognized
     
    1761617724   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1761717725   -e 's:$: $lt_compiler_flag:'`
    17618    (eval echo "\"\$as_me:17618: $lt_compile\"" >&5)
     17726   (eval echo "\"\$as_me:17726: $lt_compile\"" >&5)
    1761917727   (eval "$lt_compile" 2>out/conftest.err)
    1762017728   ac_status=$?
    1762117729   cat out/conftest.err >&5
    17622    echo "$as_me:17622: \$? = $ac_status" >&5
     17730   echo "$as_me:17730: \$? = $ac_status" >&5
    1762317731   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1762417732   then
     
    2500525113echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2500625114coin_link_input_cmd="$LN_S"
     25115if test "$enable_doscompile" = mingw; then
     25116  coin_link_input_cmd=cp
     25117fi
    2500725118case "$CC" in
    2500825119  clang* ) ;;
  • ThirdParty/SCIP/trunk/configure

    r2972 r2985  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-scip compile project SCIP with debug compiler flags
    1084 
    1085   --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
     1084  --enable-doscompile     Under Cygwin, compile so that executables run under
     1085                          DOS. Set to mingw to use gcc/g++/ld with
     1086                          -mno-cygwin. Set to msvc to use cl/link (or
     1087                          icl/link). Default when mentioned: mingw. Default
     1088                          when not mentioned: disabled.
    10861089  --enable-static[=PKGS]
    10871090                          build static libraries [default=no]
     
    19141917
    19151918# Get the name of the C compiler and appropriate compiler options
    1916 
    1917 
    1918   # for backward compatibility
    1919   # Check whether --enable-doscompile or --disable-doscompile was given.
    1920 if test "${enable_doscompile+set}" = set; then
    1921   enableval="$enable_doscompile"
    1922   enable_doscompile=$enableval
    1923 else
    1924   enable_doscompile=no
    1925 fi;
    1926 
    1927   # Check whether --enable-msvc or --disable-msvc was given.
    1928 if test "${enable_msvc+set}" = set; then
    1929   enableval="$enable_msvc"
    1930   enable_msvc=$enableval
    1931 else
    1932   enable_msvc=no
    1933      if test "$enable_doscompile" = msvc ; then
    1934        enable_msvc=yes
    1935      elif test "$enable_doscompile" != no ; then
    1936        { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
    1937 echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
    1938    { (exit 1); exit 1; }; }
    1939      fi
    1940 
    1941 fi;
    1942 
    1943   if test "$enable_msvc" = yes; then
    1944     case $build in
    1945       *-cygwin* | *-mingw*) ;;
    1946       *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
    1947 echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
    1948    { (exit 1); exit 1; }; } ;;
    1949     esac
    1950   fi
    1951 
    1952 
    1953  case $build in
     1919case $build in
    19541920  *-mingw*)
    19551921    if test "${LD+set}" = set; then :; else
     
    19581924    ;;
    19591925 esac
    1960  if test $enable_msvc = yes ; then
    1961    if test "x${LD+set}" = xset; then :; else
    1962      LD=link
     1926 case $enable_doscompile in
     1927   msvc)
     1928     if test "x${LD+set}" = xset; then :; else
     1929       LD=link
     1930     fi
     1931     ;;
     1932 esac
     1933
     1934
     1935 # Check whether --enable-doscompile or --disable-doscompile was given.
     1936if test "${enable_doscompile+set}" = set; then
     1937  enableval="$enable_doscompile"
     1938  if test "$enable_doscompile" != no; then
     1939     case $build in
     1940       *-cygwin* | *-mingw*) ;;
     1941       *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
     1942echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1943   { (exit 1); exit 1; }; } ;;
     1944     esac
    19631945   fi
    1964  fi
    1965 
    1966 
    1967 # Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
    1968 if test "${enable_static_standardlibs+set}" = set; then
    1969   enableval="$enable_static_standardlibs"
    1970   case "$enableval" in
    1971      no | yes | auto ) ;;
    1972      *)
    1973        { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
    1974 echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    1975    { (exit 1); exit 1; }; } ;;
    1976    esac
    1977    use_static_standardlibs=$enableval
    1978 else
    1979   use_static_standardlibs=no
     1946else
     1947  enable_doscompile=no
    19801948fi;
    1981 
     1949 case "$enable_doscompile" in
     1950   mingw)
     1951     case $build in
     1952       *-mingw*) enable_doscompile=no ;;
     1953     esac
     1954     ;;
     1955   msvc|no) ;;
     1956   yes) enable_doscompile=mingw ;;
     1957   *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
     1958                    Try configure --help=recursive." >&5
     1959echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
     1960                    Try configure --help=recursive." >&2;}
     1961   { (exit 1); exit 1; }; }
     1962      ;;
     1963  esac
     1964  if test "$enable_doscompile" != no ; then
     1965    { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
     1966echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
     1967  fi
    19821968
    19831969
     
    20222008case $build in
    20232009  *-cygwin* | *-mingw*)
    2024              if test "$enable_msvc" = yes ; then
    2025                comps="icl cl gcc"
     2010             if test "$enable_doscompile" = msvc ; then
     2011               comps="icl cl"
    20262012             else
    2027                comps="gcc icl cl"
     2013               comps="gcc cl"
    20282014             fi ;;
    20292015  *-*-solaris*)
     
    28782864            ;;
    28792865        esac
     2866        case $enable_doscompile in
     2867          mingw)
     2868            CFLAGS="-mno-cygwin"
     2869            cat >conftest.$ac_ext <<_ACEOF
     2870/* confdefs.h.  */
     2871_ACEOF
     2872cat confdefs.h >>conftest.$ac_ext
     2873cat >>conftest.$ac_ext <<_ACEOF
     2874/* end confdefs.h.  */
     2875
     2876int
     2877main ()
     2878{
     2879int i=0; i++;
     2880  ;
     2881  return 0;
     2882}
     2883_ACEOF
     2884rm -f conftest.$ac_objext conftest$ac_exeext
     2885if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     2886  (eval $ac_link) 2>conftest.er1
     2887  ac_status=$?
     2888  grep -v '^ *+' conftest.er1 >conftest.err
     2889  rm -f conftest.er1
     2890  cat conftest.err >&5
     2891  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2892  (exit $ac_status); } &&
     2893         { ac_try='test -z "$ac_c_werror_flag"
     2894                         || test ! -s conftest.err'
     2895  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2896  (eval $ac_try) 2>&5
     2897  ac_status=$?
     2898  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2899  (exit $ac_status); }; } &&
     2900         { ac_try='test -s conftest$ac_exeext'
     2901  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     2902  (eval $ac_try) 2>&5
     2903  ac_status=$?
     2904  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     2905  (exit $ac_status); }; }; then
     2906  coin_add_cflags="-mno-cygwin $coin_add_cflags"
     2907else
     2908  echo "$as_me: failed program was:" >&5
     2909sed 's/^/| /' conftest.$ac_ext >&5
     2910
     2911fi
     2912rm -f conftest.err conftest.$ac_objext \
     2913      conftest$ac_exeext conftest.$ac_ext
     2914            CFLAGS=
     2915          ;;
     2916        esac
    28802917    esac
    28812918  fi
     
    30683105    CFLAGS="$OPT_CFLAGS"
    30693106  fi
    3070 
    30713107else
    30723108  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32193255  clang* ) ;;
    32203256  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3221 
    3222  case $build in
     3257    case $build in
    32233258  *-mingw*)
    32243259    if test "${LD+set}" = set; then :; else
     
    32273262    ;;
    32283263 esac
    3229  if test $enable_msvc = yes ; then
    3230    if test "x${LD+set}" = xset; then :; else
    3231      LD=link
    3232    fi
    3233  fi
     3264 case $enable_doscompile in
     3265   msvc)
     3266     if test "x${LD+set}" = xset; then :; else
     3267       LD=link
     3268     fi
     3269     ;;
     3270 esac
    32343271
    32353272    ;;
    32363273esac
    3237 
    3238 # check whether to add flags for static linking against standard libraries to LDFLAGS
    3239 if test x$use_static_standardlibs != xno ; then
    3240   case $build in
    3241     *-mingw*)
    3242       static_standardlib_flag=-static
    3243       ;;
    3244     *)
    3245       static_standardlib_flag=-static-libgcc
    3246       ;;
    3247   esac
    3248   case " $LDFLAGS " in
    3249     *" $static_standardlib_flag "* ) ;;
    3250     *)
    3251     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    3252 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    3253     coin_save_LDFLAGS="$LDFLAGS"
    3254     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    3255     cat >conftest.$ac_ext <<_ACEOF
    3256 /* confdefs.h.  */
    3257 _ACEOF
    3258 cat confdefs.h >>conftest.$ac_ext
    3259 cat >>conftest.$ac_ext <<_ACEOF
    3260 /* end confdefs.h.  */
    3261 
    3262 int
    3263 main ()
    3264 {
    3265 int i=0;
    3266   ;
    3267   return 0;
    3268 }
    3269 _ACEOF
    3270 rm -f conftest.$ac_objext conftest$ac_exeext
    3271 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3272   (eval $ac_link) 2>conftest.er1
    3273   ac_status=$?
    3274   grep -v '^ *+' conftest.er1 >conftest.err
    3275   rm -f conftest.er1
    3276   cat conftest.err >&5
    3277   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3278   (exit $ac_status); } &&
    3279          { ac_try='test -z "$ac_c_werror_flag"
    3280                          || test ! -s conftest.err'
    3281   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3282   (eval $ac_try) 2>&5
    3283   ac_status=$?
    3284   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3285   (exit $ac_status); }; } &&
    3286          { ac_try='test -s conftest$ac_exeext'
    3287   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3288   (eval $ac_try) 2>&5
    3289   ac_status=$?
    3290   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3291   (exit $ac_status); }; }; then
    3292   echo "$as_me:$LINENO: result: yes" >&5
    3293 echo "${ECHO_T}yes" >&6
    3294 else
    3295   echo "$as_me: failed program was:" >&5
    3296 sed 's/^/| /' conftest.$ac_ext >&5
    3297 
    3298 echo "$as_me:$LINENO: result: no" >&5
    3299 echo "${ECHO_T}no" >&6
    3300        LDFLAGS="$coin_save_LDFLAGS"
    3301        if test $use_static_standardlibs = yes ; then
    3302          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    3303 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    3304    { (exit 1); exit 1; }; }
    3305        fi
    3306 
    3307 fi
    3308 rm -f conftest.err conftest.$ac_objext \
    3309       conftest$ac_exeext conftest.$ac_ext
    3310     ;;
    3311   esac
    3312 fi
    33133274
    33143275ac_ext=c
     
    33243285 #Let's try if that overcomes configuration problem with VC++ 6.0
    33253286
    3326 
    33273287ac_ext=cc
    33283288ac_cpp='$CXXCPP $CPPFLAGS'
     
    33433303case $build in
    33443304  *-cygwin* | *-mingw*)
    3345       if test "$enable_msvc" = yes ; then
    3346          comps="icl cl g++"
    3347       else
    3348          comps="g++ icl cl"
    3349       fi ;;
     3305             if test "$enable_doscompile" = msvc ; then
     3306               comps="icl cl"
     3307             else
     3308               comps="g++ cl"
     3309             fi ;;
    33503310  *-*-solaris*)
    33513311             comps="CC xlC_r aCC g++ c++ pgCC icpc gpp cxx cc++ cl FCC KCC RCC" ;;
     
    38553815            ;;
    38563816        esac
     3817
     3818        case $enable_doscompile in
     3819          mingw)
     3820            CXXFLAGS="-mno-cygwin"
     3821            cat >conftest.$ac_ext <<_ACEOF
     3822/* confdefs.h.  */
     3823_ACEOF
     3824cat confdefs.h >>conftest.$ac_ext
     3825cat >>conftest.$ac_ext <<_ACEOF
     3826/* end confdefs.h.  */
     3827
     3828int
     3829main ()
     3830{
     3831int i=0; i++;
     3832  ;
     3833  return 0;
     3834}
     3835_ACEOF
     3836rm -f conftest.$ac_objext conftest$ac_exeext
     3837if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3838  (eval $ac_link) 2>conftest.er1
     3839  ac_status=$?
     3840  grep -v '^ *+' conftest.er1 >conftest.err
     3841  rm -f conftest.er1
     3842  cat conftest.err >&5
     3843  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3844  (exit $ac_status); } &&
     3845         { ac_try='test -z "$ac_cxx_werror_flag"
     3846                         || test ! -s conftest.err'
     3847  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3848  (eval $ac_try) 2>&5
     3849  ac_status=$?
     3850  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3851  (exit $ac_status); }; } &&
     3852         { ac_try='test -s conftest$ac_exeext'
     3853  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3854  (eval $ac_try) 2>&5
     3855  ac_status=$?
     3856  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3857  (exit $ac_status); }; }; then
     3858  coin_add_cxxflags="-mno-cygwin $coin_add_cxxflags"
     3859else
     3860  echo "$as_me: failed program was:" >&5
     3861sed 's/^/| /' conftest.$ac_ext >&5
     3862
     3863fi
     3864rm -f conftest.err conftest.$ac_objext \
     3865      conftest$ac_exeext conftest.$ac_ext
     3866            CXXFLAGS=
     3867          ;;
     3868        esac
    38573869    esac
    38583870  fi
     
    42064218  clang* ) ;;
    42074219  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    4208 
    4209  case $build in
     4220    case $build in
    42104221  *-mingw*)
    42114222    if test "${LD+set}" = set; then :; else
     
    42144225    ;;
    42154226 esac
    4216  if test $enable_msvc = yes ; then
    4217    if test "x${LD+set}" = xset; then :; else
    4218      LD=link
    4219    fi
    4220  fi
     4227 case $enable_doscompile in
     4228   msvc)
     4229     if test "x${LD+set}" = xset; then :; else
     4230       LD=link
     4231     fi
     4232     ;;
     4233 esac
    42214234
    42224235    ;;
    42234236esac
    4224 
    4225 # check whether to add flag for static linking against standard libraries to LDFLAGS
    4226 if test x$use_static_standardlibs != xno ; then
    4227   case $build in
    4228     *-mingw*)
    4229       static_standardlib_flag=-static
    4230       ;;
    4231     *)
    4232       static_standardlib_flag=-static-libstdc++
    4233       ;;
    4234   esac
    4235   case " $LDFLAGS " in
    4236     *" $static_standardlib_flag "* ) ;;
    4237     *)
    4238     echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
    4239 echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
    4240     coin_save_LDFLAGS="$LDFLAGS"
    4241     LDFLAGS="$LDFLAGS $static_standardlib_flag"
    4242     cat >conftest.$ac_ext <<_ACEOF
    4243 /* confdefs.h.  */
    4244 _ACEOF
    4245 cat confdefs.h >>conftest.$ac_ext
    4246 cat >>conftest.$ac_ext <<_ACEOF
    4247 /* end confdefs.h.  */
    4248 
    4249 int
    4250 main ()
    4251 {
    4252 int i=0;
    4253   ;
    4254   return 0;
    4255 }
    4256 _ACEOF
    4257 rm -f conftest.$ac_objext conftest$ac_exeext
    4258 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    4259   (eval $ac_link) 2>conftest.er1
    4260   ac_status=$?
    4261   grep -v '^ *+' conftest.er1 >conftest.err
    4262   rm -f conftest.er1
    4263   cat conftest.err >&5
    4264   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4265   (exit $ac_status); } &&
    4266          { ac_try='test -z "$ac_cxx_werror_flag"
    4267                          || test ! -s conftest.err'
    4268   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4269   (eval $ac_try) 2>&5
    4270   ac_status=$?
    4271   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4272   (exit $ac_status); }; } &&
    4273          { ac_try='test -s conftest$ac_exeext'
    4274   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    4275   (eval $ac_try) 2>&5
    4276   ac_status=$?
    4277   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    4278   (exit $ac_status); }; }; then
    4279   echo "$as_me:$LINENO: result: yes" >&5
    4280 echo "${ECHO_T}yes" >&6
    4281 else
    4282   echo "$as_me: failed program was:" >&5
    4283 sed 's/^/| /' conftest.$ac_ext >&5
    4284 
    4285 echo "$as_me:$LINENO: result: no" >&5
    4286 echo "${ECHO_T}no" >&6
    4287        LDFLAGS="$coin_save_LDFLAGS"
    4288        if test $use_static_standardlibs = yes ; then
    4289          { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
    4290 echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
    4291    { (exit 1); exit 1; }; }
    4292        fi
    4293 
    4294 fi
    4295 rm -f conftest.err conftest.$ac_objext \
    4296       conftest$ac_exeext conftest.$ac_ext
    4297     ;;
    4298   esac
    4299 fi
    43004237
    43014238ac_ext=c
     
    60676004*-*-irix6*)
    60686005  # Find out which ABI we are using.
    6069   echo '#line 6069 "configure"' > conftest.$ac_ext
     6006  echo '#line 6006 "configure"' > conftest.$ac_ext
    60706007  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    60716008  (eval $ac_compile) 2>&5
     
    72017138
    72027139# Provide some information about the compiler.
    7203 echo "$as_me:7203:" \
     7140echo "$as_me:7140:" \
    72047141     "checking for Fortran 77 compiler version" >&5
    72057142ac_compiler=`set X $ac_compile; echo $2`
     
    82688205   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    82698206   -e 's:$: $lt_compiler_flag:'`
    8270    (eval echo "\"\$as_me:8270: $lt_compile\"" >&5)
     8207   (eval echo "\"\$as_me:8207: $lt_compile\"" >&5)
    82718208   (eval "$lt_compile" 2>conftest.err)
    82728209   ac_status=$?
    82738210   cat conftest.err >&5
    8274    echo "$as_me:8274: \$? = $ac_status" >&5
     8211   echo "$as_me:8211: \$? = $ac_status" >&5
    82758212   if (exit $ac_status) && test -s "$ac_outfile"; then
    82768213     # The compiler can only warn and ignore the option if not recognized
     
    85368473   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    85378474   -e 's:$: $lt_compiler_flag:'`
    8538    (eval echo "\"\$as_me:8538: $lt_compile\"" >&5)
     8475   (eval echo "\"\$as_me:8475: $lt_compile\"" >&5)
    85398476   (eval "$lt_compile" 2>conftest.err)
    85408477   ac_status=$?
    85418478   cat conftest.err >&5
    8542    echo "$as_me:8542: \$? = $ac_status" >&5
     8479   echo "$as_me:8479: \$? = $ac_status" >&5
    85438480   if (exit $ac_status) && test -s "$ac_outfile"; then
    85448481     # The compiler can only warn and ignore the option if not recognized
     
    86408577   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86418578   -e 's:$: $lt_compiler_flag:'`
    8642    (eval echo "\"\$as_me:8642: $lt_compile\"" >&5)
     8579   (eval echo "\"\$as_me:8579: $lt_compile\"" >&5)
    86438580   (eval "$lt_compile" 2>out/conftest.err)
    86448581   ac_status=$?
    86458582   cat out/conftest.err >&5
    8646    echo "$as_me:8646: \$? = $ac_status" >&5
     8583   echo "$as_me:8583: \$? = $ac_status" >&5
    86478584   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    86488585   then
     
    1098510922  lt_status=$lt_dlunknown
    1098610923  cat > conftest.$ac_ext <<EOF
    10987 #line 10987 "configure"
     10924#line 10924 "configure"
    1098810925#include "confdefs.h"
    1098910926
     
    1108511022  lt_status=$lt_dlunknown
    1108611023  cat > conftest.$ac_ext <<EOF
    11087 #line 11087 "configure"
     11024#line 11024 "configure"
    1108811025#include "confdefs.h"
    1108911026
     
    1342913366   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1343013367   -e 's:$: $lt_compiler_flag:'`
    13431    (eval echo "\"\$as_me:13431: $lt_compile\"" >&5)
     13368   (eval echo "\"\$as_me:13368: $lt_compile\"" >&5)
    1343213369   (eval "$lt_compile" 2>conftest.err)
    1343313370   ac_status=$?
    1343413371   cat conftest.err >&5
    13435    echo "$as_me:13435: \$? = $ac_status" >&5
     13372   echo "$as_me:13372: \$? = $ac_status" >&5
    1343613373   if (exit $ac_status) && test -s "$ac_outfile"; then
    1343713374     # The compiler can only warn and ignore the option if not recognized
     
    1353313470   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1353413471   -e 's:$: $lt_compiler_flag:'`
    13535    (eval echo "\"\$as_me:13535: $lt_compile\"" >&5)
     13472   (eval echo "\"\$as_me:13472: $lt_compile\"" >&5)
    1353613473   (eval "$lt_compile" 2>out/conftest.err)
    1353713474   ac_status=$?
    1353813475   cat out/conftest.err >&5
    13539    echo "$as_me:13539: \$? = $ac_status" >&5
     13476   echo "$as_me:13476: \$? = $ac_status" >&5
    1354013477   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1354113478   then
     
    1510315040   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1510415041   -e 's:$: $lt_compiler_flag:'`
    15105    (eval echo "\"\$as_me:15105: $lt_compile\"" >&5)
     15042   (eval echo "\"\$as_me:15042: $lt_compile\"" >&5)
    1510615043   (eval "$lt_compile" 2>conftest.err)
    1510715044   ac_status=$?
    1510815045   cat conftest.err >&5
    15109    echo "$as_me:15109: \$? = $ac_status" >&5
     15046   echo "$as_me:15046: \$? = $ac_status" >&5
    1511015047   if (exit $ac_status) && test -s "$ac_outfile"; then
    1511115048     # The compiler can only warn and ignore the option if not recognized
     
    1520715144   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1520815145   -e 's:$: $lt_compiler_flag:'`
    15209    (eval echo "\"\$as_me:15209: $lt_compile\"" >&5)
     15146   (eval echo "\"\$as_me:15146: $lt_compile\"" >&5)
    1521015147   (eval "$lt_compile" 2>out/conftest.err)
    1521115148   ac_status=$?
    1521215149   cat out/conftest.err >&5
    15213    echo "$as_me:15213: \$? = $ac_status" >&5
     15150   echo "$as_me:15150: \$? = $ac_status" >&5
    1521415151   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1521515152   then
     
    1741417351   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1741517352   -e 's:$: $lt_compiler_flag:'`
    17416    (eval echo "\"\$as_me:17416: $lt_compile\"" >&5)
     17353   (eval echo "\"\$as_me:17353: $lt_compile\"" >&5)
    1741717354   (eval "$lt_compile" 2>conftest.err)
    1741817355   ac_status=$?
    1741917356   cat conftest.err >&5
    17420    echo "$as_me:17420: \$? = $ac_status" >&5
     17357   echo "$as_me:17357: \$? = $ac_status" >&5
    1742117358   if (exit $ac_status) && test -s "$ac_outfile"; then
    1742217359     # The compiler can only warn and ignore the option if not recognized
     
    1768217619   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1768317620   -e 's:$: $lt_compiler_flag:'`
    17684    (eval echo "\"\$as_me:17684: $lt_compile\"" >&5)
     17621   (eval echo "\"\$as_me:17621: $lt_compile\"" >&5)
    1768517622   (eval "$lt_compile" 2>conftest.err)
    1768617623   ac_status=$?
    1768717624   cat conftest.err >&5
    17688    echo "$as_me:17688: \$? = $ac_status" >&5
     17625   echo "$as_me:17625: \$? = $ac_status" >&5
    1768917626   if (exit $ac_status) && test -s "$ac_outfile"; then
    1769017627     # The compiler can only warn and ignore the option if not recognized
     
    1778617723   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1778717724   -e 's:$: $lt_compiler_flag:'`
    17788    (eval echo "\"\$as_me:17788: $lt_compile\"" >&5)
     17725   (eval echo "\"\$as_me:17725: $lt_compile\"" >&5)
    1778917726   (eval "$lt_compile" 2>out/conftest.err)
    1779017727   ac_status=$?
    1779117728   cat out/conftest.err >&5
    17792    echo "$as_me:17792: \$? = $ac_status" >&5
     17729   echo "$as_me:17729: \$? = $ac_status" >&5
    1779317730   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1779417731   then
     
    2517525112echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2517625113coin_link_input_cmd="$LN_S"
     25114if test "$enable_doscompile" = mingw; then
     25115  coin_link_input_cmd=cp
     25116fi
    2517725117case "$CC" in
    2517825118  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.